<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.Windturbineinfodaytop2Mapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Windturbineinfodaytop2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="windPowerStationId" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="projectId" jdbcType="VARCHAR" property="projectid" />
    <result column="lineId" jdbcType="VARCHAR" property="lineid" />
    <result column="windTurbineId" jdbcType="VARCHAR" property="windturbineid" />
    <result column="recordDate" jdbcType="TIMESTAMP" property="recorddate" />
    <result column="dayfdl" jdbcType="DECIMAL" property="dayfdl" />
    <result column="monthfdl" jdbcType="DECIMAL" property="monthfdl" />
    <result column="yearfdl" jdbcType="DECIMAL" property="yearfdl" />
    <result column="dayllfdl" jdbcType="DECIMAL" property="dayllfdl" />
    <result column="monthllfdl" jdbcType="DECIMAL" property="monthllfdl" />
    <result column="yearllfdl" jdbcType="DECIMAL" property="yearllfdl" />
    <result column="dayfs" jdbcType="DECIMAL" property="dayfs" />
    <result column="monthfs" jdbcType="DECIMAL" property="monthfs" />
    <result column="yearfs" jdbcType="DECIMAL" property="yearfs" />
    <result column="daygl" jdbcType="DECIMAL" property="daygl" />
    <result column="monthgl" jdbcType="DECIMAL" property="monthgl" />
    <result column="yeargl" jdbcType="DECIMAL" property="yeargl" />
    <result column="daygzssdl" jdbcType="DECIMAL" property="daygzssdl" />
    <result column="monthgzssdl" jdbcType="DECIMAL" property="monthgzssdl" />
    <result column="yeargzssdl" jdbcType="DECIMAL" property="yeargzssdl" />
    <result column="dayxdssdl" jdbcType="DECIMAL" property="dayxdssdl" />
    <result column="monthxdssdl" jdbcType="DECIMAL" property="monthxdssdl" />
    <result column="yearxdssdl" jdbcType="DECIMAL" property="yearxdssdl" />
    <result column="daywhssdl" jdbcType="DECIMAL" property="daywhssdl" />
    <result column="monthwhssdl" jdbcType="DECIMAL" property="monthwhssdl" />
    <result column="yearwhssdl" jdbcType="DECIMAL" property="yearwhssdl" />
    <result column="dayxnssdl" jdbcType="DECIMAL" property="dayxnssdl" />
    <result column="monthxnssdl" jdbcType="DECIMAL" property="monthxnssdl" />
    <result column="yearxnssdl" jdbcType="DECIMAL" property="yearxnssdl" />
    <result column="daygzsj" jdbcType="DECIMAL" property="daygzsj" />
    <result column="monthgzsj" jdbcType="DECIMAL" property="monthgzsj" />
    <result column="yeargzsj" jdbcType="DECIMAL" property="yeargzsj" />
    <result column="daywhsj" jdbcType="DECIMAL" property="daywhsj" />
    <result column="monthwhsj" jdbcType="DECIMAL" property="monthwhsj" />
    <result column="yearwhsj" jdbcType="DECIMAL" property="yearwhsj" />
    <result column="dayyxsj" jdbcType="DECIMAL" property="dayyxsj" />
    <result column="monthyxsj" jdbcType="DECIMAL" property="monthyxsj" />
    <result column="yearyxsj" jdbcType="DECIMAL" property="yearyxsj" />
    <result column="daytjsj" jdbcType="DECIMAL" property="daytjsj" />
    <result column="monthtjsj" jdbcType="DECIMAL" property="monthtjsj" />
    <result column="yeartjsj" jdbcType="DECIMAL" property="yeartjsj" />
    <result column="dayLYXS" jdbcType="DECIMAL" property="daylyxs" />
    <result column="monthLYXS" jdbcType="DECIMAL" property="monthlyxs" />
    <result column="yearLYXS" jdbcType="DECIMAL" property="yearlyxs" />
    <result column="dayNHYD" jdbcType="DECIMAL" property="daynhyd" />
    <result column="monthNHYD" jdbcType="DECIMAL" property="monthnhyd" />
    <result column="yearNHYD" jdbcType="DECIMAL" property="yearnhyd" />
    <result column="daySBKLYL" jdbcType="DECIMAL" property="daysbklyl" />
    <result column="monthSBKLYL" jdbcType="DECIMAL" property="monthsbklyl" />
    <result column="yearSBKLYL" jdbcType="DECIMAL" property="yearsbklyl" />
    <result column="dayDXKYXS" jdbcType="DECIMAL" property="daydxkyxs" />
    <result column="monthDXKYXS" jdbcType="DECIMAL" property="monthdxkyxs" />
    <result column="yearDXKYXS" jdbcType="DECIMAL" property="yeardxkyxs" />
    <result column="dayyxfss" jdbcType="DECIMAL" property="dayyxfss" />
    <result column="monthyxfss" jdbcType="DECIMAL" property="monthyxfss" />
    <result column="yearyxfss" jdbcType="DECIMAL" property="yearyxfss" />
    <result column="dayxfqr" jdbcType="DECIMAL" property="dayxfqr" />
    <result column="monthxfqr" jdbcType="DECIMAL" property="monthxfqr" />
    <result column="yearxfqr" jdbcType="DECIMAL" property="yearxfqr" />
    <result column="dayjfpl" jdbcType="DECIMAL" property="dayjfpl" />
    <result column="monthjfpl" jdbcType="DECIMAL" property="monthjfpl" />
    <result column="yearjfpl" jdbcType="DECIMAL" property="yearjfpl" />
    <result column="dayglyzxxs" jdbcType="DECIMAL" property="dayglyzxxs" />
    <result column="monthglyzxxs" jdbcType="DECIMAL" property="monthglyzxxs" />
    <result column="yearglyzxxs" jdbcType="DECIMAL" property="yearglyzxxs" />
    <result column="type" jdbcType="INTEGER" property="type" />
    <result column="Rank" jdbcType="INTEGER" property="rank" />
    <result column="Level" jdbcType="VARCHAR" property="level" />
    <result column="year" jdbcType="INTEGER" property="year" />
    <result column="month" jdbcType="INTEGER" property="month" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, windPowerStationId, projectId, lineId, windTurbineId, recordDate, dayfdl, monthfdl,
    yearfdl, dayllfdl, monthllfdl, yearllfdl, dayfs, monthfs, yearfs, daygl, monthgl,
    yeargl, daygzssdl, monthgzssdl, yeargzssdl, dayxdssdl, monthxdssdl, yearxdssdl, daywhssdl,
    monthwhssdl, yearwhssdl, dayxnssdl, monthxnssdl, yearxnssdl, daygzsj, monthgzsj,
    yeargzsj, daywhsj, monthwhsj, yearwhsj, dayyxsj, monthyxsj, yearyxsj, daytjsj, monthtjsj,
    yeartjsj, dayLYXS, monthLYXS, yearLYXS, dayNHYD, monthNHYD, yearNHYD, daySBKLYL,
    monthSBKLYL, yearSBKLYL, dayDXKYXS, monthDXKYXS, yearDXKYXS, dayyxfss, monthyxfss,
    yearyxfss, dayxfqr, monthxfqr, yearxfqr, dayjfpl, monthjfpl, yearjfpl, dayglyzxxs,
    monthglyzxxs, yearglyzxxs, type, Rank, "LEVEL", year, month
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop2Example" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from windturbineinfodaytop2
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from windturbineinfodaytop2
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineinfodaytop2
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop2Example">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineinfodaytop2
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineinfodaytop2 (id, windPowerStationId, projectId, 
      lineId, windTurbineId, recordDate, 
      dayfdl, monthfdl, yearfdl, 
      dayllfdl, monthllfdl, yearllfdl, 
      dayfs, monthfs, yearfs, 
      daygl, monthgl, yeargl, 
      daygzssdl, monthgzssdl, yeargzssdl, 
      dayxdssdl, monthxdssdl, yearxdssdl, 
      daywhssdl, monthwhssdl, yearwhssdl, 
      dayxnssdl, monthxnssdl, yearxnssdl, 
      daygzsj, monthgzsj, yeargzsj, 
      daywhsj, monthwhsj, yearwhsj, 
      dayyxsj, monthyxsj, yearyxsj, 
      daytjsj, monthtjsj, yeartjsj, 
      dayLYXS, monthLYXS, yearLYXS, 
      dayNHYD, monthNHYD, yearNHYD, 
      daySBKLYL, monthSBKLYL, yearSBKLYL, 
      dayDXKYXS, monthDXKYXS, yearDXKYXS, 
      dayyxfss, monthyxfss, yearyxfss, 
      dayxfqr, monthxfqr, yearxfqr, 
      dayjfpl, monthjfpl, yearjfpl, 
      dayglyzxxs, monthglyzxxs, yearglyzxxs, 
      type, Rank, Level, 
      year, month)
    values (#{id,jdbcType=INTEGER}, #{windpowerstationid,jdbcType=VARCHAR}, #{projectid,jdbcType=VARCHAR}, 
      #{lineid,jdbcType=VARCHAR}, #{windturbineid,jdbcType=VARCHAR}, #{recorddate,jdbcType=TIMESTAMP}, 
      #{dayfdl,jdbcType=DECIMAL}, #{monthfdl,jdbcType=DECIMAL}, #{yearfdl,jdbcType=DECIMAL}, 
      #{dayllfdl,jdbcType=DECIMAL}, #{monthllfdl,jdbcType=DECIMAL}, #{yearllfdl,jdbcType=DECIMAL}, 
      #{dayfs,jdbcType=DECIMAL}, #{monthfs,jdbcType=DECIMAL}, #{yearfs,jdbcType=DECIMAL}, 
      #{daygl,jdbcType=DECIMAL}, #{monthgl,jdbcType=DECIMAL}, #{yeargl,jdbcType=DECIMAL}, 
      #{daygzssdl,jdbcType=DECIMAL}, #{monthgzssdl,jdbcType=DECIMAL}, #{yeargzssdl,jdbcType=DECIMAL}, 
      #{dayxdssdl,jdbcType=DECIMAL}, #{monthxdssdl,jdbcType=DECIMAL}, #{yearxdssdl,jdbcType=DECIMAL}, 
      #{daywhssdl,jdbcType=DECIMAL}, #{monthwhssdl,jdbcType=DECIMAL}, #{yearwhssdl,jdbcType=DECIMAL}, 
      #{dayxnssdl,jdbcType=DECIMAL}, #{monthxnssdl,jdbcType=DECIMAL}, #{yearxnssdl,jdbcType=DECIMAL}, 
      #{daygzsj,jdbcType=DECIMAL}, #{monthgzsj,jdbcType=DECIMAL}, #{yeargzsj,jdbcType=DECIMAL}, 
      #{daywhsj,jdbcType=DECIMAL}, #{monthwhsj,jdbcType=DECIMAL}, #{yearwhsj,jdbcType=DECIMAL}, 
      #{dayyxsj,jdbcType=DECIMAL}, #{monthyxsj,jdbcType=DECIMAL}, #{yearyxsj,jdbcType=DECIMAL}, 
      #{daytjsj,jdbcType=DECIMAL}, #{monthtjsj,jdbcType=DECIMAL}, #{yeartjsj,jdbcType=DECIMAL}, 
      #{daylyxs,jdbcType=DECIMAL}, #{monthlyxs,jdbcType=DECIMAL}, #{yearlyxs,jdbcType=DECIMAL}, 
      #{daynhyd,jdbcType=DECIMAL}, #{monthnhyd,jdbcType=DECIMAL}, #{yearnhyd,jdbcType=DECIMAL}, 
      #{daysbklyl,jdbcType=DECIMAL}, #{monthsbklyl,jdbcType=DECIMAL}, #{yearsbklyl,jdbcType=DECIMAL}, 
      #{daydxkyxs,jdbcType=DECIMAL}, #{monthdxkyxs,jdbcType=DECIMAL}, #{yeardxkyxs,jdbcType=DECIMAL}, 
      #{dayyxfss,jdbcType=DECIMAL}, #{monthyxfss,jdbcType=DECIMAL}, #{yearyxfss,jdbcType=DECIMAL}, 
      #{dayxfqr,jdbcType=DECIMAL}, #{monthxfqr,jdbcType=DECIMAL}, #{yearxfqr,jdbcType=DECIMAL}, 
      #{dayjfpl,jdbcType=DECIMAL}, #{monthjfpl,jdbcType=DECIMAL}, #{yearjfpl,jdbcType=DECIMAL}, 
      #{dayglyzxxs,jdbcType=DECIMAL}, #{monthglyzxxs,jdbcType=DECIMAL}, #{yearglyzxxs,jdbcType=DECIMAL}, 
      #{type,jdbcType=INTEGER}, #{rank,jdbcType=INTEGER}, #{level,jdbcType=VARCHAR}, 
      #{year,jdbcType=INTEGER}, #{month,jdbcType=INTEGER})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineinfodaytop2
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="windpowerstationid != null">
        windPowerStationId,
      </if>
      <if test="projectid != null">
        projectId,
      </if>
      <if test="lineid != null">
        lineId,
      </if>
      <if test="windturbineid != null">
        windTurbineId,
      </if>
      <if test="recorddate != null">
        recordDate,
      </if>
      <if test="dayfdl != null">
        dayfdl,
      </if>
      <if test="monthfdl != null">
        monthfdl,
      </if>
      <if test="yearfdl != null">
        yearfdl,
      </if>
      <if test="dayllfdl != null">
        dayllfdl,
      </if>
      <if test="monthllfdl != null">
        monthllfdl,
      </if>
      <if test="yearllfdl != null">
        yearllfdl,
      </if>
      <if test="dayfs != null">
        dayfs,
      </if>
      <if test="monthfs != null">
        monthfs,
      </if>
      <if test="yearfs != null">
        yearfs,
      </if>
      <if test="daygl != null">
        daygl,
      </if>
      <if test="monthgl != null">
        monthgl,
      </if>
      <if test="yeargl != null">
        yeargl,
      </if>
      <if test="daygzssdl != null">
        daygzssdl,
      </if>
      <if test="monthgzssdl != null">
        monthgzssdl,
      </if>
      <if test="yeargzssdl != null">
        yeargzssdl,
      </if>
      <if test="dayxdssdl != null">
        dayxdssdl,
      </if>
      <if test="monthxdssdl != null">
        monthxdssdl,
      </if>
      <if test="yearxdssdl != null">
        yearxdssdl,
      </if>
      <if test="daywhssdl != null">
        daywhssdl,
      </if>
      <if test="monthwhssdl != null">
        monthwhssdl,
      </if>
      <if test="yearwhssdl != null">
        yearwhssdl,
      </if>
      <if test="dayxnssdl != null">
        dayxnssdl,
      </if>
      <if test="monthxnssdl != null">
        monthxnssdl,
      </if>
      <if test="yearxnssdl != null">
        yearxnssdl,
      </if>
      <if test="daygzsj != null">
        daygzsj,
      </if>
      <if test="monthgzsj != null">
        monthgzsj,
      </if>
      <if test="yeargzsj != null">
        yeargzsj,
      </if>
      <if test="daywhsj != null">
        daywhsj,
      </if>
      <if test="monthwhsj != null">
        monthwhsj,
      </if>
      <if test="yearwhsj != null">
        yearwhsj,
      </if>
      <if test="dayyxsj != null">
        dayyxsj,
      </if>
      <if test="monthyxsj != null">
        monthyxsj,
      </if>
      <if test="yearyxsj != null">
        yearyxsj,
      </if>
      <if test="daytjsj != null">
        daytjsj,
      </if>
      <if test="monthtjsj != null">
        monthtjsj,
      </if>
      <if test="yeartjsj != null">
        yeartjsj,
      </if>
      <if test="daylyxs != null">
        dayLYXS,
      </if>
      <if test="monthlyxs != null">
        monthLYXS,
      </if>
      <if test="yearlyxs != null">
        yearLYXS,
      </if>
      <if test="daynhyd != null">
        dayNHYD,
      </if>
      <if test="monthnhyd != null">
        monthNHYD,
      </if>
      <if test="yearnhyd != null">
        yearNHYD,
      </if>
      <if test="daysbklyl != null">
        daySBKLYL,
      </if>
      <if test="monthsbklyl != null">
        monthSBKLYL,
      </if>
      <if test="yearsbklyl != null">
        yearSBKLYL,
      </if>
      <if test="daydxkyxs != null">
        dayDXKYXS,
      </if>
      <if test="monthdxkyxs != null">
        monthDXKYXS,
      </if>
      <if test="yeardxkyxs != null">
        yearDXKYXS,
      </if>
      <if test="dayyxfss != null">
        dayyxfss,
      </if>
      <if test="monthyxfss != null">
        monthyxfss,
      </if>
      <if test="yearyxfss != null">
        yearyxfss,
      </if>
      <if test="dayxfqr != null">
        dayxfqr,
      </if>
      <if test="monthxfqr != null">
        monthxfqr,
      </if>
      <if test="yearxfqr != null">
        yearxfqr,
      </if>
      <if test="dayjfpl != null">
        dayjfpl,
      </if>
      <if test="monthjfpl != null">
        monthjfpl,
      </if>
      <if test="yearjfpl != null">
        yearjfpl,
      </if>
      <if test="dayglyzxxs != null">
        dayglyzxxs,
      </if>
      <if test="monthglyzxxs != null">
        monthglyzxxs,
      </if>
      <if test="yearglyzxxs != null">
        yearglyzxxs,
      </if>
      <if test="type != null">
        type,
      </if>
      <if test="rank != null">
        Rank,
      </if>
      <if test="level != null">
        Level,
      </if>
      <if test="year != null">
        year,
      </if>
      <if test="month != null">
        month,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="dayfdl != null">
        #{dayfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthfdl != null">
        #{monthfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearfdl != null">
        #{yearfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllfdl != null">
        #{dayllfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthllfdl != null">
        #{monthllfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearllfdl != null">
        #{yearllfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayfs != null">
        #{dayfs,jdbcType=DECIMAL},
      </if>
      <if test="monthfs != null">
        #{monthfs,jdbcType=DECIMAL},
      </if>
      <if test="yearfs != null">
        #{yearfs,jdbcType=DECIMAL},
      </if>
      <if test="daygl != null">
        #{daygl,jdbcType=DECIMAL},
      </if>
      <if test="monthgl != null">
        #{monthgl,jdbcType=DECIMAL},
      </if>
      <if test="yeargl != null">
        #{yeargl,jdbcType=DECIMAL},
      </if>
      <if test="daygzssdl != null">
        #{daygzssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthgzssdl != null">
        #{monthgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="yeargzssdl != null">
        #{yeargzssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxdssdl != null">
        #{dayxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxdssdl != null">
        #{monthxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxdssdl != null">
        #{yearxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daywhssdl != null">
        #{daywhssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthwhssdl != null">
        #{monthwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearwhssdl != null">
        #{yearwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxnssdl != null">
        #{dayxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxnssdl != null">
        #{monthxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxnssdl != null">
        #{yearxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="daygzsj != null">
        #{daygzsj,jdbcType=DECIMAL},
      </if>
      <if test="monthgzsj != null">
        #{monthgzsj,jdbcType=DECIMAL},
      </if>
      <if test="yeargzsj != null">
        #{yeargzsj,jdbcType=DECIMAL},
      </if>
      <if test="daywhsj != null">
        #{daywhsj,jdbcType=DECIMAL},
      </if>
      <if test="monthwhsj != null">
        #{monthwhsj,jdbcType=DECIMAL},
      </if>
      <if test="yearwhsj != null">
        #{yearwhsj,jdbcType=DECIMAL},
      </if>
      <if test="dayyxsj != null">
        #{dayyxsj,jdbcType=DECIMAL},
      </if>
      <if test="monthyxsj != null">
        #{monthyxsj,jdbcType=DECIMAL},
      </if>
      <if test="yearyxsj != null">
        #{yearyxsj,jdbcType=DECIMAL},
      </if>
      <if test="daytjsj != null">
        #{daytjsj,jdbcType=DECIMAL},
      </if>
      <if test="monthtjsj != null">
        #{monthtjsj,jdbcType=DECIMAL},
      </if>
      <if test="yeartjsj != null">
        #{yeartjsj,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="daynhyd != null">
        #{daynhyd,jdbcType=DECIMAL},
      </if>
      <if test="monthnhyd != null">
        #{monthnhyd,jdbcType=DECIMAL},
      </if>
      <if test="yearnhyd != null">
        #{yearnhyd,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayyxfss != null">
        #{dayyxfss,jdbcType=DECIMAL},
      </if>
      <if test="monthyxfss != null">
        #{monthyxfss,jdbcType=DECIMAL},
      </if>
      <if test="yearyxfss != null">
        #{yearyxfss,jdbcType=DECIMAL},
      </if>
      <if test="dayxfqr != null">
        #{dayxfqr,jdbcType=DECIMAL},
      </if>
      <if test="monthxfqr != null">
        #{monthxfqr,jdbcType=DECIMAL},
      </if>
      <if test="yearxfqr != null">
        #{yearxfqr,jdbcType=DECIMAL},
      </if>
      <if test="dayjfpl != null">
        #{dayjfpl,jdbcType=DECIMAL},
      </if>
      <if test="monthjfpl != null">
        #{monthjfpl,jdbcType=DECIMAL},
      </if>
      <if test="yearjfpl != null">
        #{yearjfpl,jdbcType=DECIMAL},
      </if>
      <if test="dayglyzxxs != null">
        #{dayglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="monthglyzxxs != null">
        #{monthglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="yearglyzxxs != null">
        #{yearglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="type != null">
        #{type,jdbcType=INTEGER},
      </if>
      <if test="rank != null">
        #{rank,jdbcType=INTEGER},
      </if>
      <if test="level != null">
        #{level,jdbcType=VARCHAR},
      </if>
      <if test="year != null">
        #{year,jdbcType=INTEGER},
      </if>
      <if test="month != null">
        #{month,jdbcType=INTEGER},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop2Example" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from windturbineinfodaytop2
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfodaytop2
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windpowerstationid != null">
        windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.projectid != null">
        projectId = #{record.projectid,jdbcType=VARCHAR},
      </if>
      <if test="record.lineid != null">
        lineId = #{record.lineid,jdbcType=VARCHAR},
      </if>
      <if test="record.windturbineid != null">
        windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.recorddate != null">
        recordDate = #{record.recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.dayfdl != null">
        dayfdl = #{record.dayfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthfdl != null">
        monthfdl = #{record.monthfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearfdl != null">
        yearfdl = #{record.yearfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllfdl != null">
        dayllfdl = #{record.dayllfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthllfdl != null">
        monthllfdl = #{record.monthllfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearllfdl != null">
        yearllfdl = #{record.yearllfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayfs != null">
        dayfs = #{record.dayfs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthfs != null">
        monthfs = #{record.monthfs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearfs != null">
        yearfs = #{record.yearfs,jdbcType=DECIMAL},
      </if>
      <if test="record.daygl != null">
        daygl = #{record.daygl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgl != null">
        monthgl = #{record.monthgl,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargl != null">
        yeargl = #{record.yeargl,jdbcType=DECIMAL},
      </if>
      <if test="record.daygzssdl != null">
        daygzssdl = #{record.daygzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgzssdl != null">
        monthgzssdl = #{record.monthgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargzssdl != null">
        yeargzssdl = #{record.yeargzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayxdssdl != null">
        dayxdssdl = #{record.dayxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthxdssdl != null">
        monthxdssdl = #{record.monthxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearxdssdl != null">
        yearxdssdl = #{record.yearxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daywhssdl != null">
        daywhssdl = #{record.daywhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthwhssdl != null">
        monthwhssdl = #{record.monthwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearwhssdl != null">
        yearwhssdl = #{record.yearwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayxnssdl != null">
        dayxnssdl = #{record.dayxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthxnssdl != null">
        monthxnssdl = #{record.monthxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearxnssdl != null">
        yearxnssdl = #{record.yearxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daygzsj != null">
        daygzsj = #{record.daygzsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgzsj != null">
        monthgzsj = #{record.monthgzsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargzsj != null">
        yeargzsj = #{record.yeargzsj,jdbcType=DECIMAL},
      </if>
      <if test="record.daywhsj != null">
        daywhsj = #{record.daywhsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthwhsj != null">
        monthwhsj = #{record.monthwhsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yearwhsj != null">
        yearwhsj = #{record.yearwhsj,jdbcType=DECIMAL},
      </if>
      <if test="record.dayyxsj != null">
        dayyxsj = #{record.dayyxsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthyxsj != null">
        monthyxsj = #{record.monthyxsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yearyxsj != null">
        yearyxsj = #{record.yearyxsj,jdbcType=DECIMAL},
      </if>
      <if test="record.daytjsj != null">
        daytjsj = #{record.daytjsj,jdbcType=DECIMAL},
      </if>
      <if test="record.monthtjsj != null">
        monthtjsj = #{record.monthtjsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yeartjsj != null">
        yeartjsj = #{record.yeartjsj,jdbcType=DECIMAL},
      </if>
      <if test="record.daylyxs != null">
        dayLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthlyxs != null">
        monthLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearlyxs != null">
        yearLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhyd != null">
        dayNHYD = #{record.daynhyd,jdbcType=DECIMAL},
      </if>
      <if test="record.monthnhyd != null">
        monthNHYD = #{record.monthnhyd,jdbcType=DECIMAL},
      </if>
      <if test="record.yearnhyd != null">
        yearNHYD = #{record.yearnhyd,jdbcType=DECIMAL},
      </if>
      <if test="record.daysbklyl != null">
        daySBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthsbklyl != null">
        monthSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearsbklyl != null">
        yearSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.daydxkyxs != null">
        dayDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthdxkyxs != null">
        monthDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yeardxkyxs != null">
        yearDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.dayyxfss != null">
        dayyxfss = #{record.dayyxfss,jdbcType=DECIMAL},
      </if>
      <if test="record.monthyxfss != null">
        monthyxfss = #{record.monthyxfss,jdbcType=DECIMAL},
      </if>
      <if test="record.yearyxfss != null">
        yearyxfss = #{record.yearyxfss,jdbcType=DECIMAL},
      </if>
      <if test="record.dayxfqr != null">
        dayxfqr = #{record.dayxfqr,jdbcType=DECIMAL},
      </if>
      <if test="record.monthxfqr != null">
        monthxfqr = #{record.monthxfqr,jdbcType=DECIMAL},
      </if>
      <if test="record.yearxfqr != null">
        yearxfqr = #{record.yearxfqr,jdbcType=DECIMAL},
      </if>
      <if test="record.dayjfpl != null">
        dayjfpl = #{record.dayjfpl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthjfpl != null">
        monthjfpl = #{record.monthjfpl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearjfpl != null">
        yearjfpl = #{record.yearjfpl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayglyzxxs != null">
        dayglyzxxs = #{record.dayglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthglyzxxs != null">
        monthglyzxxs = #{record.monthglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearglyzxxs != null">
        yearglyzxxs = #{record.yearglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="record.type != null">
        type = #{record.type,jdbcType=INTEGER},
      </if>
      <if test="record.rank != null">
        Rank = #{record.rank,jdbcType=INTEGER},
      </if>
      <if test="record.level != null">
        Level = #{record.level,jdbcType=VARCHAR},
      </if>
      <if test="record.year != null">
        year = #{record.year,jdbcType=INTEGER},
      </if>
      <if test="record.month != null">
        month = #{record.month,jdbcType=INTEGER},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfodaytop2
    set id = #{record.id,jdbcType=INTEGER},
      windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      projectId = #{record.projectid,jdbcType=VARCHAR},
      lineId = #{record.lineid,jdbcType=VARCHAR},
      windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      recordDate = #{record.recorddate,jdbcType=TIMESTAMP},
      dayfdl = #{record.dayfdl,jdbcType=DECIMAL},
      monthfdl = #{record.monthfdl,jdbcType=DECIMAL},
      yearfdl = #{record.yearfdl,jdbcType=DECIMAL},
      dayllfdl = #{record.dayllfdl,jdbcType=DECIMAL},
      monthllfdl = #{record.monthllfdl,jdbcType=DECIMAL},
      yearllfdl = #{record.yearllfdl,jdbcType=DECIMAL},
      dayfs = #{record.dayfs,jdbcType=DECIMAL},
      monthfs = #{record.monthfs,jdbcType=DECIMAL},
      yearfs = #{record.yearfs,jdbcType=DECIMAL},
      daygl = #{record.daygl,jdbcType=DECIMAL},
      monthgl = #{record.monthgl,jdbcType=DECIMAL},
      yeargl = #{record.yeargl,jdbcType=DECIMAL},
      daygzssdl = #{record.daygzssdl,jdbcType=DECIMAL},
      monthgzssdl = #{record.monthgzssdl,jdbcType=DECIMAL},
      yeargzssdl = #{record.yeargzssdl,jdbcType=DECIMAL},
      dayxdssdl = #{record.dayxdssdl,jdbcType=DECIMAL},
      monthxdssdl = #{record.monthxdssdl,jdbcType=DECIMAL},
      yearxdssdl = #{record.yearxdssdl,jdbcType=DECIMAL},
      daywhssdl = #{record.daywhssdl,jdbcType=DECIMAL},
      monthwhssdl = #{record.monthwhssdl,jdbcType=DECIMAL},
      yearwhssdl = #{record.yearwhssdl,jdbcType=DECIMAL},
      dayxnssdl = #{record.dayxnssdl,jdbcType=DECIMAL},
      monthxnssdl = #{record.monthxnssdl,jdbcType=DECIMAL},
      yearxnssdl = #{record.yearxnssdl,jdbcType=DECIMAL},
      daygzsj = #{record.daygzsj,jdbcType=DECIMAL},
      monthgzsj = #{record.monthgzsj,jdbcType=DECIMAL},
      yeargzsj = #{record.yeargzsj,jdbcType=DECIMAL},
      daywhsj = #{record.daywhsj,jdbcType=DECIMAL},
      monthwhsj = #{record.monthwhsj,jdbcType=DECIMAL},
      yearwhsj = #{record.yearwhsj,jdbcType=DECIMAL},
      dayyxsj = #{record.dayyxsj,jdbcType=DECIMAL},
      monthyxsj = #{record.monthyxsj,jdbcType=DECIMAL},
      yearyxsj = #{record.yearyxsj,jdbcType=DECIMAL},
      daytjsj = #{record.daytjsj,jdbcType=DECIMAL},
      monthtjsj = #{record.monthtjsj,jdbcType=DECIMAL},
      yeartjsj = #{record.yeartjsj,jdbcType=DECIMAL},
      dayLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      monthLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      yearLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      dayNHYD = #{record.daynhyd,jdbcType=DECIMAL},
      monthNHYD = #{record.monthnhyd,jdbcType=DECIMAL},
      yearNHYD = #{record.yearnhyd,jdbcType=DECIMAL},
      daySBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      monthSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      yearSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      dayDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      monthDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      yearDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      dayyxfss = #{record.dayyxfss,jdbcType=DECIMAL},
      monthyxfss = #{record.monthyxfss,jdbcType=DECIMAL},
      yearyxfss = #{record.yearyxfss,jdbcType=DECIMAL},
      dayxfqr = #{record.dayxfqr,jdbcType=DECIMAL},
      monthxfqr = #{record.monthxfqr,jdbcType=DECIMAL},
      yearxfqr = #{record.yearxfqr,jdbcType=DECIMAL},
      dayjfpl = #{record.dayjfpl,jdbcType=DECIMAL},
      monthjfpl = #{record.monthjfpl,jdbcType=DECIMAL},
      yearjfpl = #{record.yearjfpl,jdbcType=DECIMAL},
      dayglyzxxs = #{record.dayglyzxxs,jdbcType=DECIMAL},
      monthglyzxxs = #{record.monthglyzxxs,jdbcType=DECIMAL},
      yearglyzxxs = #{record.yearglyzxxs,jdbcType=DECIMAL},
      type = #{record.type,jdbcType=INTEGER},
      Rank = #{record.rank,jdbcType=INTEGER},
      Level = #{record.level,jdbcType=VARCHAR},
      year = #{record.year,jdbcType=INTEGER},
      month = #{record.month,jdbcType=INTEGER}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfodaytop2
    <set>
      <if test="windpowerstationid != null">
        windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        projectId = #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        lineId = #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        recordDate = #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="dayfdl != null">
        dayfdl = #{dayfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthfdl != null">
        monthfdl = #{monthfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearfdl != null">
        yearfdl = #{yearfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllfdl != null">
        dayllfdl = #{dayllfdl,jdbcType=DECIMAL},
      </if>
      <if test="monthllfdl != null">
        monthllfdl = #{monthllfdl,jdbcType=DECIMAL},
      </if>
      <if test="yearllfdl != null">
        yearllfdl = #{yearllfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayfs != null">
        dayfs = #{dayfs,jdbcType=DECIMAL},
      </if>
      <if test="monthfs != null">
        monthfs = #{monthfs,jdbcType=DECIMAL},
      </if>
      <if test="yearfs != null">
        yearfs = #{yearfs,jdbcType=DECIMAL},
      </if>
      <if test="daygl != null">
        daygl = #{daygl,jdbcType=DECIMAL},
      </if>
      <if test="monthgl != null">
        monthgl = #{monthgl,jdbcType=DECIMAL},
      </if>
      <if test="yeargl != null">
        yeargl = #{yeargl,jdbcType=DECIMAL},
      </if>
      <if test="daygzssdl != null">
        daygzssdl = #{daygzssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthgzssdl != null">
        monthgzssdl = #{monthgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="yeargzssdl != null">
        yeargzssdl = #{yeargzssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxdssdl != null">
        dayxdssdl = #{dayxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxdssdl != null">
        monthxdssdl = #{monthxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxdssdl != null">
        yearxdssdl = #{yearxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daywhssdl != null">
        daywhssdl = #{daywhssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthwhssdl != null">
        monthwhssdl = #{monthwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearwhssdl != null">
        yearwhssdl = #{yearwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayxnssdl != null">
        dayxnssdl = #{dayxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="monthxnssdl != null">
        monthxnssdl = #{monthxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="yearxnssdl != null">
        yearxnssdl = #{yearxnssdl,jdbcType=DECIMAL},
      </if>
      <if test="daygzsj != null">
        daygzsj = #{daygzsj,jdbcType=DECIMAL},
      </if>
      <if test="monthgzsj != null">
        monthgzsj = #{monthgzsj,jdbcType=DECIMAL},
      </if>
      <if test="yeargzsj != null">
        yeargzsj = #{yeargzsj,jdbcType=DECIMAL},
      </if>
      <if test="daywhsj != null">
        daywhsj = #{daywhsj,jdbcType=DECIMAL},
      </if>
      <if test="monthwhsj != null">
        monthwhsj = #{monthwhsj,jdbcType=DECIMAL},
      </if>
      <if test="yearwhsj != null">
        yearwhsj = #{yearwhsj,jdbcType=DECIMAL},
      </if>
      <if test="dayyxsj != null">
        dayyxsj = #{dayyxsj,jdbcType=DECIMAL},
      </if>
      <if test="monthyxsj != null">
        monthyxsj = #{monthyxsj,jdbcType=DECIMAL},
      </if>
      <if test="yearyxsj != null">
        yearyxsj = #{yearyxsj,jdbcType=DECIMAL},
      </if>
      <if test="daytjsj != null">
        daytjsj = #{daytjsj,jdbcType=DECIMAL},
      </if>
      <if test="monthtjsj != null">
        monthtjsj = #{monthtjsj,jdbcType=DECIMAL},
      </if>
      <if test="yeartjsj != null">
        yeartjsj = #{yeartjsj,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        dayLYXS = #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        monthLYXS = #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        yearLYXS = #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="daynhyd != null">
        dayNHYD = #{daynhyd,jdbcType=DECIMAL},
      </if>
      <if test="monthnhyd != null">
        monthNHYD = #{monthnhyd,jdbcType=DECIMAL},
      </if>
      <if test="yearnhyd != null">
        yearNHYD = #{yearnhyd,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        daySBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        monthSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        yearSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        dayDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        monthDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        yearDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayyxfss != null">
        dayyxfss = #{dayyxfss,jdbcType=DECIMAL},
      </if>
      <if test="monthyxfss != null">
        monthyxfss = #{monthyxfss,jdbcType=DECIMAL},
      </if>
      <if test="yearyxfss != null">
        yearyxfss = #{yearyxfss,jdbcType=DECIMAL},
      </if>
      <if test="dayxfqr != null">
        dayxfqr = #{dayxfqr,jdbcType=DECIMAL},
      </if>
      <if test="monthxfqr != null">
        monthxfqr = #{monthxfqr,jdbcType=DECIMAL},
      </if>
      <if test="yearxfqr != null">
        yearxfqr = #{yearxfqr,jdbcType=DECIMAL},
      </if>
      <if test="dayjfpl != null">
        dayjfpl = #{dayjfpl,jdbcType=DECIMAL},
      </if>
      <if test="monthjfpl != null">
        monthjfpl = #{monthjfpl,jdbcType=DECIMAL},
      </if>
      <if test="yearjfpl != null">
        yearjfpl = #{yearjfpl,jdbcType=DECIMAL},
      </if>
      <if test="dayglyzxxs != null">
        dayglyzxxs = #{dayglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="monthglyzxxs != null">
        monthglyzxxs = #{monthglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="yearglyzxxs != null">
        yearglyzxxs = #{yearglyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="type != null">
        type = #{type,jdbcType=INTEGER},
      </if>
      <if test="rank != null">
        Rank = #{rank,jdbcType=INTEGER},
      </if>
      <if test="level != null">
        Level = #{level,jdbcType=VARCHAR},
      </if>
      <if test="year != null">
        year = #{year,jdbcType=INTEGER},
      </if>
      <if test="month != null">
        month = #{month,jdbcType=INTEGER},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Windturbineinfodaytop2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfodaytop2
    set windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      projectId = #{projectid,jdbcType=VARCHAR},
      lineId = #{lineid,jdbcType=VARCHAR},
      windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      recordDate = #{recorddate,jdbcType=TIMESTAMP},
      dayfdl = #{dayfdl,jdbcType=DECIMAL},
      monthfdl = #{monthfdl,jdbcType=DECIMAL},
      yearfdl = #{yearfdl,jdbcType=DECIMAL},
      dayllfdl = #{dayllfdl,jdbcType=DECIMAL},
      monthllfdl = #{monthllfdl,jdbcType=DECIMAL},
      yearllfdl = #{yearllfdl,jdbcType=DECIMAL},
      dayfs = #{dayfs,jdbcType=DECIMAL},
      monthfs = #{monthfs,jdbcType=DECIMAL},
      yearfs = #{yearfs,jdbcType=DECIMAL},
      daygl = #{daygl,jdbcType=DECIMAL},
      monthgl = #{monthgl,jdbcType=DECIMAL},
      yeargl = #{yeargl,jdbcType=DECIMAL},
      daygzssdl = #{daygzssdl,jdbcType=DECIMAL},
      monthgzssdl = #{monthgzssdl,jdbcType=DECIMAL},
      yeargzssdl = #{yeargzssdl,jdbcType=DECIMAL},
      dayxdssdl = #{dayxdssdl,jdbcType=DECIMAL},
      monthxdssdl = #{monthxdssdl,jdbcType=DECIMAL},
      yearxdssdl = #{yearxdssdl,jdbcType=DECIMAL},
      daywhssdl = #{daywhssdl,jdbcType=DECIMAL},
      monthwhssdl = #{monthwhssdl,jdbcType=DECIMAL},
      yearwhssdl = #{yearwhssdl,jdbcType=DECIMAL},
      dayxnssdl = #{dayxnssdl,jdbcType=DECIMAL},
      monthxnssdl = #{monthxnssdl,jdbcType=DECIMAL},
      yearxnssdl = #{yearxnssdl,jdbcType=DECIMAL},
      daygzsj = #{daygzsj,jdbcType=DECIMAL},
      monthgzsj = #{monthgzsj,jdbcType=DECIMAL},
      yeargzsj = #{yeargzsj,jdbcType=DECIMAL},
      daywhsj = #{daywhsj,jdbcType=DECIMAL},
      monthwhsj = #{monthwhsj,jdbcType=DECIMAL},
      yearwhsj = #{yearwhsj,jdbcType=DECIMAL},
      dayyxsj = #{dayyxsj,jdbcType=DECIMAL},
      monthyxsj = #{monthyxsj,jdbcType=DECIMAL},
      yearyxsj = #{yearyxsj,jdbcType=DECIMAL},
      daytjsj = #{daytjsj,jdbcType=DECIMAL},
      monthtjsj = #{monthtjsj,jdbcType=DECIMAL},
      yeartjsj = #{yeartjsj,jdbcType=DECIMAL},
      dayLYXS = #{daylyxs,jdbcType=DECIMAL},
      monthLYXS = #{monthlyxs,jdbcType=DECIMAL},
      yearLYXS = #{yearlyxs,jdbcType=DECIMAL},
      dayNHYD = #{daynhyd,jdbcType=DECIMAL},
      monthNHYD = #{monthnhyd,jdbcType=DECIMAL},
      yearNHYD = #{yearnhyd,jdbcType=DECIMAL},
      daySBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      monthSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      yearSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      dayDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      monthDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      yearDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      dayyxfss = #{dayyxfss,jdbcType=DECIMAL},
      monthyxfss = #{monthyxfss,jdbcType=DECIMAL},
      yearyxfss = #{yearyxfss,jdbcType=DECIMAL},
      dayxfqr = #{dayxfqr,jdbcType=DECIMAL},
      monthxfqr = #{monthxfqr,jdbcType=DECIMAL},
      yearxfqr = #{yearxfqr,jdbcType=DECIMAL},
      dayjfpl = #{dayjfpl,jdbcType=DECIMAL},
      monthjfpl = #{monthjfpl,jdbcType=DECIMAL},
      yearjfpl = #{yearjfpl,jdbcType=DECIMAL},
      dayglyzxxs = #{dayglyzxxs,jdbcType=DECIMAL},
      monthglyzxxs = #{monthglyzxxs,jdbcType=DECIMAL},
      yearglyzxxs = #{yearglyzxxs,jdbcType=DECIMAL},
      type = #{type,jdbcType=INTEGER},
      Rank = #{rank,jdbcType=INTEGER},
      Level = #{level,jdbcType=VARCHAR},
      year = #{year,jdbcType=INTEGER},
      month = #{month,jdbcType=INTEGER}
    where id = #{id,jdbcType=INTEGER}
  </update>

  <select id="getWindturbineinfodaytop2List"  resultMap="BaseResultMap">
     select  id, windPowerStationId, projectId, lineId, windTurbineId, recordDate, dayfdl, monthfdl,
    yearfdl, dayllfdl, monthllfdl, yearllfdl, dayfs, monthfs, yearfs, daygl, monthgl,
    yeargl, daygzssdl, monthgzssdl, yeargzssdl, dayxdssdl, monthxdssdl, yearxdssdl, daywhssdl,
    monthwhssdl, yearwhssdl, dayxnssdl, monthxnssdl, yearxnssdl, daygzsj, monthgzsj,
    yeargzsj, daywhsj, monthwhsj, yearwhsj, dayyxsj, monthyxsj, yearyxsj, daytjsj, monthtjsj,
    yeartjsj, dayLYXS, monthLYXS, yearLYXS, dayNHYD, monthNHYD, yearNHYD, daySBKLYL,
    monthSBKLYL, yearSBKLYL, dayDXKYXS, monthDXKYXS, yearDXKYXS, dayyxfss, monthyxfss,
    yearyxfss, dayxfqr, monthxfqr, yearxfqr, dayjfpl, monthjfpl, yearjfpl, dayglyzxxs,
    monthglyzxxs, yearglyzxxs, type, Rank, "LEVEL", year, month
     from windturbineinfodaytop2  where  type=2
    <if test="wpId != null">
     and windpowerstationid = #{wpId}
    </if>
     and year=#{year} and month=#{month} order by "LEVEL" desc
  </select>
</mapper>